## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ICUBridgeCollationCompareFunctor Class Reference

`#include <ICUBridgeCollationCompareFunctor.hpp>`

Inheritance diagram for ICUBridgeCollationCompareFunctor:

[legend]
Collaboration diagram for ICUBridgeCollationCompareFunctor:

[legend]
List of all members.

## Public Types

- typedef StylesheetExecutionContextDefault::eCaseOrder eCaseOrder

## Public Methods

- ICUBridgeCollationCompareFunctor (bool fCacheCollators=false)
    Constructor. More...
- virtual ~ICUBridgeCollationCompareFunctor ()
- virtual int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, eCaseOrder theCaseOrder=StylesheetExecutionContextDefault::eDefault) const
- virtual int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, const XalanDOMChar *theLocale, eCaseOrder theCaseOrder=StylesheetExecutionContextDefault::eDefault) const

## Member Typedef Documentation

typedef StylesheetExecutionContextDefault::eCaseOrder ICUBridgeCollationCompareFunctor::eCaseOrder

## Constructor & Destructor Documentation

ICUBridgeCollationCompareFunctor::ICUBridgeCollationCompareFunctor ( | bool fCacheCollators = false )

  | Constructor. Parameters:
  fCacheCollators | If true, the instance will cache collators. This is not thread-safe, so each thread must have its own instance.

ICUBridgeCollationCompareFunctor::~ICUBridgeCollationCompareFunctor ( | )`[virtual]`

## Member Function Documentation

int ICUBridgeCollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| const XalanDOMChar * theLocale,
| eCaseOrder theCaseOrder = StylesheetExecutionContextDefault::eDefault ) const`[virtual]`

| Reimplemented from StylesheetExecutionContextDefault::CollationCompareFunctor.

int ICUBridgeCollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| eCaseOrder theCaseOrder = StylesheetExecutionContextDefault::eDefault ) const`[virtual]`

| Reimplemented from StylesheetExecutionContextDefault::CollationCompareFunctor.

The documentation for this class was generated from the following file:

- ICUBridgeCollationCompareFunctor.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.